package com.css.simulation.resource.scene;

import api.common.pojo.constants.DictConstants;
import api.common.pojo.param.scene.SceneImportParam;
import api.common.pojo.po.system.SceneImportPO;
import com.css.simulation.resource.scene.common.utils.AuthUtil;
import com.css.simulation.resource.scene.common.utils.PoUtil;
import com.css.simulation.resource.scene.feign.SceneService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class SceneImportService {

    @Autowired
    SceneImportMapper sceneImportMapper;

    public Boolean startImport(SceneImportPO po) {
        po.setStatus(DictConstants.SCENE_IMPORT_STATUS_1);
        PoUtil.initUpdatePo(po);
        sceneImportMapper.updateStatus(po);

        //TODO

        po.setStatus(DictConstants.SCENE_IMPORT_STATUS_2);
        sceneImportMapper.updateStatus(po);
        return true;
    }

}
